summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2013-12-05 08:52:28 +0100
committer Robby Workman <rworkman@slackbuilds.org>2013-12-06 00:00:10 -0600
commita14636f92ef0f344c6cdd15a74ffaade5d56bb98 (patch)
treeae406d9347635d3c023df119c3f6730b7a43e895 /office
parent93bc114aac4a1acf02c0236362d0e1654804740b (diff)
downloadslackbuilds-a14636f92ef0f344c6cdd15a74ffaade5d56bb98.tar.gz
slackbuilds-a14636f92ef0f344c6cdd15a74ffaade5d56bb98.tar.xz
office/gnucash: Added (financial accounting application).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/gnucash/README8
-rw-r--r--office/gnucash/doinst.sh32
-rw-r--r--office/gnucash/gnucash.SlackBuild133
-rw-r--r--office/gnucash/gnucash.info10
-rw-r--r--office/gnucash/slack-desc19
5 files changed, 202 insertions, 0 deletions
diff --git a/office/gnucash/README b/office/gnucash/README
new file mode 100644
index 0000000000..19aa7e2a8b
--- /dev/null
+++ b/office/gnucash/README
@@ -0,0 +1,8 @@
+GNUCash is opensource accounting software.
+
+If you want the SQL database integration, you must first have libdbi
+and libdbi-drivers installed, and then pass the DBI=true flag.
+
+Note that this is the 2.6.0 BETA release - the upstream authors do
+*not* recommend using this version in production. The 2.6.0 stable
+release is planned for the end of December 2013, so be patient...
diff --git a/office/gnucash/doinst.sh b/office/gnucash/doinst.sh
new file mode 100644
index 0000000000..d9a46b591b
--- /dev/null
+++ b/office/gnucash/doinst.sh
@@ -0,0 +1,32 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/gnucash/environment.new
+config etc/gnucash/config.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
+
diff --git a/office/gnucash/gnucash.SlackBuild b/office/gnucash/gnucash.SlackBuild
new file mode 100644
index 0000000000..7c28432f54
--- /dev/null
+++ b/office/gnucash/gnucash.SlackBuild
@@ -0,0 +1,133 @@
+#!/bin/sh
+
+# Slackware build script for gnucash
+
+# Copyright 2008,2009,2010,2011 Vincent Batts, vbatts@hashbangbash.com, http://hashbangbash.com/
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gnucash
+VERSION=${VERSION:-2.5.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DBI=${DBI:-false}
+OPT_ARGS=""
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv4t"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+if [ ! "$DBI" = "false" ] ; then
+ OPT_ARGS+="--enable-dbi --with-dbi-dbd-dir=/usr/lib${LIBDIRSUFFIX}/dbd/ "
+ echo $0 : building with dbi enabled
+ sleep 0.5
+else
+ OPT_ARGS+="--disable-dbi "
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-python \
+ --enable-ofx \
+ --disable-aqbanking \
+ --disable-schemas-compile \
+ --build=$ARCH-slackware-linux \
+ $OPT_ARGS
+
+# --enable-register2 (not ready for 2.6.0 release)
+
+make
+make -j1 install DESTDIR=$PKG docdir=/usr/doc/$PRGNAM-$VERSION
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Don't clobber these
+mv $PKG/etc/gnucash/environment $PKG/etc/gnucash/environment.new
+mv $PKG/etc/gnucash/config $PKG/etc/gnucash/config.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog DOCUMENTERS HACKING LICENSE NEWS README.* TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/office/gnucash/gnucash.info b/office/gnucash/gnucash.info
new file mode 100644
index 0000000000..0f963658cb
--- /dev/null
+++ b/office/gnucash/gnucash.info
@@ -0,0 +1,10 @@
+PRGNAM="gnucash"
+VERSION="2.5.9"
+HOMEPAGE="http://www.gnucash.org/"
+DOWNLOAD="http://downloads.sourceforge.net/sourceforge/gnucash/gnucash-2.5.9.tar.bz2"
+MD5SUM="78a48928bff4d6a3b4f49f43a141ebcf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libofx libgnomecanvas goffice0.8 webkitgtk"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
diff --git a/office/gnucash/slack-desc b/office/gnucash/slack-desc
new file mode 100644
index 0000000000..ec6f9feac6
--- /dev/null
+++ b/office/gnucash/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gnucash: gnucash (financial accounting application)
+gnucash:
+gnucash: GnuCash is personal and small-business financial-accounting software.
+gnucash:
+gnucash: Designed to be easy to use, yet powerful and flexible, GnuCash allows
+gnucash: you to track bank accounts, stocks, income and expenses. As quick and
+gnucash: intuitive to use as a checkbook register, it is based on professional
+gnucash: accounting principles to ensure balanced books and accurate reports.
+gnucash:
+gnucash: Homepage: http://gnucash.org/
+gnucash: